Play newer games on 4.1

Discussion in 'Wii - Hacking' started by larry2garcia, Oct 11, 2014.

  1. larry2garcia
    OP

    larry2garcia Member

    Newcomer
    10
    0
    Oct 11, 2014
    United States
    So I recently busted out my wii running 4.1. Is there anything I need to update in order to play the newest games either from usb or dvd-r?
     
  2. TarkinMX

    TarkinMX GBAtemp Regular

    Member
    177
    47
    Nov 4, 2009
    United States
    How long has it been since you've been out of the scene? I'm sure you know to update your favorite usb loader to it's latest version. Mine is USB Loader GX and the current version is 3.0 r1231. There's Dios Mios which replaces your default Mios and allows you to play gamecube backups off SD or USB. There's devolution and nintendont which are gamecube environment simulators and accomplish the same thing as Dios Mios but better. And depending on how long it's been for you there is d2x for your custom IOS which finally allows backups of games like Metroid Prime Trilogy and House of the Dead 2 & 3 to play properly. There's also RetroArch, a multi-platform emulator, and WiiMC will play just about whatever media file you want to play, it will play DVDs and makes DVDX obsolete.

    Edit: I forgot, either find and download IOS 58 Installer, use it and then reinstall Homebrew Channel or update and rehack your wii so you can have USB 2.0 support.
     
  3. larry2garcia
    OP

    larry2garcia Member

    Newcomer
    10
    0
    Oct 11, 2014
    United States
    Ok, I have done everything except updating to d2x. How do I verify if it is installed or not?
     
  4. larry2garcia
    OP

    larry2garcia Member

    Newcomer
    10
    0
    Oct 11, 2014
    United States
    ok finally got everything working. another question, on the usb loader gx credits, it says rev. 1231 ios 222 rev 4 AHB. is that ok? do i need to be on ios 249 or some other?
     
  5. TarkinMX

    TarkinMX GBAtemp Regular

    Member
    177
    47
    Nov 4, 2009
    United States
    So did you update your Wii to 4.3 and then reinstall the homebrew channel? It sounds like you're running off Hermes which is like 5 years old. Anything newer is usually installed to 249 and 250, if you have d2x installed it'll be on these. As I previously stated, you'll want to either update or install the IOS58 that came with the 4.3 software and then reinstall the homebrew channel to take advantage of it. You'll also want to install d2x because it's better game compatibility. If you'd like just go here after updating to 4.3 and treat it like a new install.

    How to SoftMod a Wii and play backup Wii, Gamecube and Wiiware Games

    Edit: Also for the step where she says to install Priiloader, use JoostinOnline's version instead.

    priiloader-hde - Priiloader HacksDen Edition
     
  6. larry2garcia
    OP

    larry2garcia Member

    Newcomer
    10
    0
    Oct 11, 2014
    United States
  7. TarkinMX

    TarkinMX GBAtemp Regular

    Member
    177
    47
    Nov 4, 2009
    United States
  8. jonthedit

    jonthedit GBAtemp Advanced Maniac

    Member
    1,691
    438
    May 30, 2011
    Bangladesh
    ...
    *sigh*

    This is a Wii, not Wii U.
    He can use the standard sysCheck if he wants, though it is recommended to use JoostinOnline's version of sysCheck because he is one of the only active Wii scene devs.




    You are presenting to the OP that you MUST USE JOOSTIN's version or bad stuff will happen. That is only true on a vWii.
     
  9. larry2garcia
    OP

    larry2garcia Member

    Newcomer
    10
    0
    Oct 11, 2014
    United States
  10. TarkinMX

    TarkinMX GBAtemp Regular

    Member
    177
    47
    Nov 4, 2009
    United States
    It's odd that it's doing that then. Go into Settings, Loader Settings, and then scroll down to Loader's IOS, does it say IOS 249? If not then try changing it and then restarting USB Loader GX and see if that works.
     
  11. larry2garcia
    OP

    larry2garcia Member

    Newcomer
    10
    0
    Oct 11, 2014
    United States
    First here is a syscheck, loader settings say: loader ios 222, game ios 222. which one do I chance?

    SysCheck v2.3.0 HacksDen Edition by JoostinOnline, Double_A, R2-D2199, and Nano
    ...runs on IOS58 (rev 6176).

    Region: NTSC-U
    System Menu 4.1U (v449)
    Priiloader installed
    Drive date: 02.13.200702
    Homebrew Channel 1.1.0 running on IOS58

    Hollywood v0x11
    Console ID: 110807076
    Console Type: Wii
    Shop Channel Country: United States (49)
    Boot2 v4
    Found 95 titles.
    Found 48 IOS on this console. 6 of them are stub.

    IOS4 (rev 65280): Stub
    IOS9 (rev 65535): Trucha Bug
    IOS10 (rev 768): Stub
    IOS11 (rev 65535): Trucha Bug
    IOS12 (rev 526): No Patches
    IOS13 (rev 1032): No Patches
    IOS14 (rev 1032): No Patches
    IOS15 (rev 1032): No Patches
    IOS16 (rev 54321): Trucha Bug, ES Identify, Flash Access, NAND Access
    IOS17 (rev 1032): No Patches
    IOS20 (rev 256): Stub
    IOS21 (rev 1039): No Patches
    IOS22 (rev 1294): No Patches
    IOS28 (rev 1807): No Patches
    IOS30 (rev 54321): Trucha Bug
    IOS31 (rev 3608): No Patches
    IOS33 (rev 3608): No Patches
    IOS34 (rev 3608): No Patches
    IOS35 (rev 3608): No Patches
    IOS36 (rev 54321): Trucha Bug, ES Identify, NAND Access
    IOS37 (rev 5663): No Patches
    IOS38 (rev 3867): No Patches
    IOS40 (rev 3072): Stub
    IOS41 (rev 3607): No Patches
    IOS43 (rev 3607): No Patches
    IOS45 (rev 3607): No Patches
    IOS46 (rev 3607): No Patches
    IOS48 (rev 4124): No Patches
    IOS50 (rev 54321): Trucha Bug
    IOS51 (rev 4864): Stub
    IOS52 (rev 5888): Stub
    IOS53 (rev 5406): No Patches
    IOS55 (rev 5406): No Patches
    IOS56 (rev 5662): No Patches
    IOS57 (rev 5919): No Patches
    IOS58 (rev 6176): USB 2.0
    IOS60 (rev 54321): Trucha Bug
    IOS61 (rev 5662): No Patches
    IOS70 (rev 54321): Trucha Bug
    IOS80 (rev 54321): Trucha Bug
    IOS202[57] (rev 65535, Info: hermes-v5.0): Trucha Bug, NAND Access, USB 2.0
    IOS222[38] (rev 4, Info: hermes-v4.0): Trucha Bug, ES Identify, NAND Access, USB 2.0
    IOS223[38] (rev 4, Info: hermes-v4.0): Trucha Bug, ES Identify, NAND Access, USB 2.0
    IOS236[36] (rev 65535, Info: rev 3351): Trucha Bug, ES Identify, NAND Access
    IOS249[56] (rev 21010, Info: d2x-v10beta52): Trucha Bug, NAND Access, USB 2.0
    IOS250[57] (rev 21010, Info: d2x-v10beta52): Trucha Bug, NAND Access, USB 2.0
    IOS251[58] (rev 21010, Info: d2x-v10beta52): Trucha Bug, NAND Access, USB 2.0
    IOS254 (rev 65281): BootMii
    BC v6
    MIOS v10
    Report generated on 10/12/2014.
     
  12. TarkinMX

    TarkinMX GBAtemp Regular

    Member
    177
    47
    Nov 4, 2009
    United States
    Set both to 249 and you should be good for most games, if in the RARE occurrence a game has issues then that's when you try 250 or 251 but only for that game. I think the only reason why you would need to use hermes for anything these days is old homebrew.


    He's saying it wasn't necessary. In other words, he wanted to throw in his two cents without actually contributing anything.
     
  13. larry2garcia
    OP

    larry2garcia Member

    Newcomer
    10
    0
    Oct 11, 2014
    United States
    Figured it all out, thanks to Cyan. I just changed the loader ios to 249.
     
  14. TarkinMX

    TarkinMX GBAtemp Regular

    Member
    177
    47
    Nov 4, 2009
    United States
    Good to hear.